%global gem_name codemirror-rails

Name: rubygem-%{gem_name}
Version: 3.23
Release: 2.2%{?dist}
Summary: Use CodeMirror with Rails 3
Group: Development/Languages
License: MIT
URL: https://rubygems.org/gems/codemirror-rails
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
%if 0%{fedora} < 21
Requires: ruby(release)
Requires: ruby(rubygems) 
Requires: rubygem(railties) >= 3.0
Requires: rubygem(railties) < 5
%endif
BuildRequires: ruby(release)
BuildRequires: rubygems-devel 
BuildRequires: ruby 
BuildArch: noarch
%if 0%{fedora} < 21
Provides: rubygem(%{gem_name}) = %{version}
%endif

%description
This gem provides CodeMirror assets for your Rails 3 application.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

rm -f %{buildroot}%{gem_instdir}/.gitignore

%files
%dir %{gem_instdir}
%{gem_libdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}
%doc %{gem_instdir}/LICENSE

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/doc
%{gem_instdir}/test
%{gem_instdir}/%{gem_name}.gemspec

%changelog
* Sun Dec 28 2014 Oleg Girko <ol@infoserver.lv> - 3.23
- Rebuilt for https://fedoraproject.org/wiki/Changes/Ruby_2.1
- Drop %%check because of rails compatibility problems
* Sun May 11 2014 Oleg Girko <ol@infoserver.lv> - 3.23
- Update to 3.23
* Mon Sep 23 2013 Oleg Girko <ol@infoserver.lv> - 3.13
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0
* Fri Jun 14 2013 Oleg Girko <ol@infoserver.lv> - 3.13-1
- Initial package
